
/* This header does contain all stuff needed to reach the clock
   with IPC commands (without any includes, these must be included
	before (!) this file).
	
	You may mix different arguments in one command, but do not forget
	to supply the needed values !
	
	Only the way to get the IPC handle is yours (Jon, how about the
	list appended to the DOpus Public Semaphore... ? ).
*/

typedef struct
{
	struct IBox ibox;        // use Top and Left as normal, but
	                         // Width = APen and Height = BPen !!!
	
	struct TextAttr txtattr; // to pass all font related stuff
	                         // use ta_Flags for the DrawMode
									 // (so is it a value less :-) ) 
									 
	char fontname[32];       // no need to set the pointer of txtattr...
	
	char picture[256];
	
	char alarm[12];
	
	ULONG command;           // preparing here
	ULONG flags; 
	
}  IPC_CMDData;


#define  LEFT_PASSED   1 << 0
#define   TOP_PASSED   1 << 1
#define   NEW_FONT     1 << 3
#define   NEW_SIZE     1 << 4
#define  APEN_PASSED   1 << 5
#define  BPEN_PASSED   1 << 6
#define  MODE_PASSED   1 << 7
#define STYLE_PASSED   1 << 8
#define     BG_PLAIN   1 << 9
#define     BG_TRANS   1 << 10
#define       BG_PIC	  1 << 11
#define       BORDER   1 << 12
#define        ALARM   1 << 13
#define        SOUND   1 << 14

#define   CLOCK_QUIT   1 << 15

#define    BORDER_ON   1 << 21
#define   BORDER_OFF   1 << 22
#define   ALARM_DONE   1 << 23
#define   WRING_DONE   1 << 24
#define     SOUND_ON   1 << 25
#define    SOUND_OFF   1 << 26
#define    ALARM_ON    1 << 27
#define    ALARM_OFF   1 << 28



